Get Cve List
https://app.fossa.com/api/vulns/cve-listSearch for CVEs by query string and return top matching distinct CVE identifiers with their details
Query parameters
querystringrequiredSearch string to find matching CVE identifiers
Responses
200OK - Returns a list of matching CVEs with detailsArray of:
cvestringrequiredCVE identifier (e.g., CVE-2021-44228)
descriptionstringDetailed description of the vulnerability
400Bad Request - Search string not provideduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
401Unauthorized - Invalid or missing API tokenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403Forbidden - Security features not enabled for organizationuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/vulns/cve-listcurl --request GET \ --url 'https://app.fossa.com/api/vulns/cve-list' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
querystringrequiredSearch string to find matching CVE identifiers